### Method

# Phosh ScreenshotManager do_screenshot

#### Declaration [src]

    gboolean
    phosh_screenshot_manager_do_screenshot (
      PhoshScreenshotManager* self,
      GdkRectangle* area,
      const char* filename,
      gboolean include_cursor
    )

#### Description [src]

Initiate a screenshot of all outputs or the given area.

#### Parameters

`area`

  Type: `GdkRectangle`

  The area to capture or `NULL` to capture all outputs.

  The data is owned by the caller of the method.

`filename`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`include_cursor`

  Type: `gboolean`

  No description available.

#### Return value

Type: `gboolean`

-errno on failure, otherwise 0